#include "xwaterwritable.h"

XWaterWritable::XWaterWritable()
    : XAsset()
    , mFloatTime(0)
{
    SetName("Water Writable");
}

XWaterWritable::~XWaterWritable()
{
    
}

void XWaterWritable::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XWaterWritable::ParseData
}

void XWaterWritable::Clear()
{
    mFloatTime = 0;
}
